# Class Constants

java.lang.Object
org.apache.catalina.core.Constants

public class Constants extends Object
Constants used by the core Catalina package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JSP_SERVLET_CLASS`
The fully qualified class name of the JSP servlet.
`static final int`
`MAJOR_VERSION`
The major version of the Servlet specification implemented by this container.
`static final int`
`MINOR_VERSION`
The minor version of the Servlet specification implemented by this container.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAJOR_VERSION

public static final int MAJOR_VERSION
The major version of the Servlet specification implemented by this container.

See Also:
  - Constant Field Values

### MINOR_VERSION

public static final int MINOR_VERSION
The minor version of the Servlet specification implemented by this container.

See Also:
  - Constant Field Values

### JSP_SERVLET_CLASS

public static final String JSP_SERVLET_CLASS
The fully qualified class name of the JSP servlet.

See Also:
  - Constant Field Values